aboutsummaryrefslogtreecommitdiff
path: root/standalone/linux
diff options
context:
space:
mode:
authorGravatar Joey Hess <joey@kitenet.net>2013-12-24 16:28:10 -0400
committerGravatar Joey Hess <joey@kitenet.net>2013-12-24 16:28:10 -0400
commitd0655bbe7c30e0b417f9d82457fde0a47f9f86a0 (patch)
tree0b5f604dae54d291651a6c77a31a405e04c46901 /standalone/linux
parent0f4ca88ceda2f8a49a3a1bfc60f864c517944832 (diff)
Include git-receive-pack, git-upload-pack, and git wrappers in the Linux standalone build, and OSX app, so they will be available when it's added to PATH.
Diffstat (limited to 'standalone/linux')
-rw-r--r--standalone/linux/skel/README (renamed from standalone/linux/README)0
-rwxr-xr-xstandalone/linux/skel/git31
-rwxr-xr-xstandalone/linux/skel/git-annex (renamed from standalone/linux/git-annex)0
-rwxr-xr-xstandalone/linux/skel/git-annex-shell (renamed from standalone/linux/git-annex-shell)0
-rwxr-xr-xstandalone/linux/skel/git-annex-webapp (renamed from standalone/linux/git-annex-webapp)0
-rwxr-xr-xstandalone/linux/skel/git-receive-pack31
-rwxr-xr-xstandalone/linux/skel/git-upload-pack31
-rwxr-xr-xstandalone/linux/skel/runshell (renamed from standalone/linux/runshell)0
8 files changed, 93 insertions, 0 deletions
diff --git a/standalone/linux/README b/standalone/linux/skel/README
index 2a321845f..2a321845f 100644
--- a/standalone/linux/README
+++ b/standalone/linux/skel/README
diff --git a/standalone/linux/skel/git b/standalone/linux/skel/git
new file mode 100755
index 000000000..f32cf8193
--- /dev/null
+++ b/standalone/linux/skel/git
@@ -0,0 +1,31 @@
+#!/bin/sh
+link="$(readlink "$0")" || true
+if [ -n "$link" ]; then
+ base="$(dirname "$link")"
+else
+ base="$(dirname "$0")"
+fi
+
+if [ ! -d "$base" ]; then
+ echo "** cannot find base directory (I seem to be $0)" >&2
+ exit 1
+fi
+if [ ! -e "$base/runshell" ]; then
+ echo "** cannot find $base/runshell" >&2
+ exit 1
+fi
+
+# Get absolute path to base, to avoid breakage when things change directories.
+orig="$(pwd)"
+cd "$base"
+base="$(pwd)"
+cd "$orig"
+
+# If this is a standalone app, set a variable that git-annex can use to
+# install itself.
+if [ -e "$base/bin/git-annex" ]; then
+ GIT_ANNEX_APP_BASE="$base"
+ export GIT_ANNEX_APP_BASE
+fi
+
+exec "$base/runshell" git "$@"
diff --git a/standalone/linux/git-annex b/standalone/linux/skel/git-annex
index 27df466e4..27df466e4 100755
--- a/standalone/linux/git-annex
+++ b/standalone/linux/skel/git-annex
diff --git a/standalone/linux/git-annex-shell b/standalone/linux/skel/git-annex-shell
index a07895591..a07895591 100755
--- a/standalone/linux/git-annex-shell
+++ b/standalone/linux/skel/git-annex-shell
diff --git a/standalone/linux/git-annex-webapp b/standalone/linux/skel/git-annex-webapp
index acf2a5135..acf2a5135 100755
--- a/standalone/linux/git-annex-webapp
+++ b/standalone/linux/skel/git-annex-webapp
diff --git a/standalone/linux/skel/git-receive-pack b/standalone/linux/skel/git-receive-pack
new file mode 100755
index 000000000..32d166e84
--- /dev/null
+++ b/standalone/linux/skel/git-receive-pack
@@ -0,0 +1,31 @@
+#!/bin/sh
+link="$(readlink "$0")" || true
+if [ -n "$link" ]; then
+ base="$(dirname "$link")"
+else
+ base="$(dirname "$0")"
+fi
+
+if [ ! -d "$base" ]; then
+ echo "** cannot find base directory (I seem to be $0)" >&2
+ exit 1
+fi
+if [ ! -e "$base/runshell" ]; then
+ echo "** cannot find $base/runshell" >&2
+ exit 1
+fi
+
+# Get absolute path to base, to avoid breakage when things change directories.
+orig="$(pwd)"
+cd "$base"
+base="$(pwd)"
+cd "$orig"
+
+# If this is a standalone app, set a variable that git-annex can use to
+# install itself.
+if [ -e "$base/bin/git-annex" ]; then
+ GIT_ANNEX_APP_BASE="$base"
+ export GIT_ANNEX_APP_BASE
+fi
+
+exec "$base/runshell" git-receive-pack "$@"
diff --git a/standalone/linux/skel/git-upload-pack b/standalone/linux/skel/git-upload-pack
new file mode 100755
index 000000000..f05aad83e
--- /dev/null
+++ b/standalone/linux/skel/git-upload-pack
@@ -0,0 +1,31 @@
+#!/bin/sh
+link="$(readlink "$0")" || true
+if [ -n "$link" ]; then
+ base="$(dirname "$link")"
+else
+ base="$(dirname "$0")"
+fi
+
+if [ ! -d "$base" ]; then
+ echo "** cannot find base directory (I seem to be $0)" >&2
+ exit 1
+fi
+if [ ! -e "$base/runshell" ]; then
+ echo "** cannot find $base/runshell" >&2
+ exit 1
+fi
+
+# Get absolute path to base, to avoid breakage when things change directories.
+orig="$(pwd)"
+cd "$base"
+base="$(pwd)"
+cd "$orig"
+
+# If this is a standalone app, set a variable that git-annex can use to
+# install itself.
+if [ -e "$base/bin/git-annex" ]; then
+ GIT_ANNEX_APP_BASE="$base"
+ export GIT_ANNEX_APP_BASE
+fi
+
+exec "$base/runshell" git-upload-pack "$@"
diff --git a/standalone/linux/runshell b/standalone/linux/skel/runshell
index 4481b0d7f..4481b0d7f 100755
--- a/standalone/linux/runshell
+++ b/standalone/linux/skel/runshell